%define pyver %(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

Summary: Python FAM module
Name: python-fam
Version: 1.0.2
Release: 2mdk
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Python
URL: http://python-fam.sourceforge.net/
Requires: python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: python-devel, libfam-devel
Prefix: %{_prefix}

%description
Python FAM is a wrapper module around libfam from the FAM project. It
allows Python programs to monitor files and directories. An example
script is included.

%prep
%setup
chmod 755 test.py

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/python%pyver/site-packages
install -m 644 _fam.so $RPM_BUILD_ROOT/usr/lib/python%pyver/site-packages

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc test.py
/usr/lib/python%pyver/site-packages/*

%changelog
* Tue Feb  4 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- added BuildRequires libfam-devel

* Sat Feb  1 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-1mdk
- initial Mandrake Linux packaging

# end of file
